{
  "getAllPSAppDEACModes" : [ {
    "codeName" : "Default",
    "logicName" : "DEFAULT",
    "name" : "DEFAULT",
    "getPSDEACModeDataItems" : [ {
      "dataType" : 25,
      "name" : "value",
      "getPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      }
    }, {
      "dataType" : 25,
      "name" : "text",
      "getPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      }
    } ],
    "pagingSize" : 50,
    "getTextPSAppDEField" : {
      "name" : "FILENAME",
      "codeName" : "FILEName"
    },
    "getValuePSAppDEField" : {
      "name" : "FILEID",
      "codeName" : "FILEId"
    },
    "defaultMode" : true,
    "enablePagingBar" : false
  } ],
  "getAllPSAppDEActions" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "FILEID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "FILEID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  } ],
  "getAllPSAppDEDataSets" : [ {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchFILEQUERY",
    "methodType" : "FETCH",
    "name" : "FetchFILEQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "FILEQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchFILEQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchfilequery",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchFOLDERQUERY",
    "methodType" : "FETCH",
    "name" : "FetchFOLDERQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "FOLDERQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchFOLDERQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchfolderquery",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchTOP",
    "methodType" : "FETCH",
    "name" : "FetchTOP",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "TOP"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchTOP"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchtop",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEFields" : [ {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[ICON][图标]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[ICON][图标]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[ICON][图标]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[ICON][图标]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "ICON",
    "logicName" : "图标",
    "name" : "ICON",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[TYPE][类型]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBDROPDOWNLIST",
        "name" : "[TYPE][类型]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true,
        "needCodeListConfig" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[TYPE][类型]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "DROPDOWNLIST",
        "name" : "[TYPE][类型]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "needCodeListConfig" : true
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "TYPE",
    "logicName" : "类型",
    "name" : "TYPE",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[ISTOP][是否顶层节点]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "DROPDOWNLIST_100",
        "name" : "[ISTOP][是否顶层节点]",
        "uIMode" : "DEFAULT",
        "needCodeListConfig" : true
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[ISTOP][是否顶层节点]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBSWITCH",
        "name" : "[ISTOP][是否顶层节点]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true,
        "needCodeListConfig" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "ISTOP",
    "logicName" : "是否顶层节点",
    "name" : "ISTOP",
    "stdDataType" : 9
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[FILENAME][文件名称]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "TEXTBOX",
        "name" : "[FILENAME][文件名称]",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[FILENAME][文件名称]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBTEXT",
        "name" : "[FILENAME][文件名称]移动端默认",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "FILEName",
    "logicName" : "文件名称",
    "name" : "FILENAME",
    "stdDataType" : 25,
    "stringLength" : 200,
    "enableQuickSearch" : true,
    "majorField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEMAN][更新人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEMAN][更新人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEMAN][更新人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateMan",
    "logicName" : "更新人",
    "name" : "UPDATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[CREATEMAN][建立人]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]",
        "stringLength" : 60,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[CREATEMAN][建立人]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEMAN][建立人]移动端默认",
        "stringLength" : 60,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "CreateMan",
    "logicName" : "建立人",
    "name" : "CREATEMAN",
    "stdDataType" : 25,
    "stringLength" : 60
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[UPDATEDATE][更新时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[UPDATEDATE][更新时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[UPDATEDATE][更新时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "UpdateDate",
    "logicName" : "更新时间",
    "name" : "UPDATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[FILEID][文件标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[FILEID][文件标识]移动端默认",
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[FILEID][文件标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[FILEID][文件标识]",
        "stringLength" : 100,
        "uIMode" : "DEFAULT",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "FILEId",
    "logicName" : "文件标识",
    "name" : "FILEID",
    "stdDataType" : 25,
    "stringLength" : 100,
    "keyField" : true
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[CREATEDATE][建立时间]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]移动端默认",
        "uIMode" : "MOBILEDEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false,
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[CREATEDATE][建立时间]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "SPAN",
        "name" : "[CREATEDATE][建立时间]",
        "uIMode" : "DEFAULT",
        "valueFormat" : "%1$tY-%1$tm-%1$td %1$tH:%1$tM:%1$tS",
        "allowEmpty" : false
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "CreateDate",
    "logicName" : "建立时间",
    "name" : "CREATEDATE",
    "stdDataType" : 5,
    "valueFormat" : "YYYY-MM-DD HH:mm:ss"
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "MobileDefault",
      "name" : "[PFILEID][父文件标识]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "HIDDEN",
        "name" : "[PFILEID][父文件标识]移动端默认",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "stringLength" : 100,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    }, {
      "codeName" : "Default",
      "name" : "[PFILEID][父文件标识]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "HIDDEN",
        "name" : "[PFILEID][父文件标识]",
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "stringLength" : 100,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    } ],
    "codeName" : "Pfileid",
    "logicName" : "父文件标识",
    "name" : "PFILEID",
    "stdDataType" : 25,
    "stringLength" : 100
  }, {
    "getAllPSAppDEFUIModes" : [ {
      "codeName" : "Default",
      "name" : "[PFILENAME][文件名称]",
      "getPSDEFFormItem" : {
        "codeName" : "Default",
        "editorType" : "PICKER",
        "name" : "[PFILENAME][文件名称]",
        "refLinkPSDEViewCodeName" : "RedirectView",
        "refMPickupPSDEViewCodeName" : "MPickupView",
        "getRefPSDEACMode" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACMODES/Default.json"
        },
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "refPickupPSDEViewCodeName" : "PickupView",
        "stringLength" : 200,
        "uIMode" : "DEFAULT"
      },
      "type" : "DEFAULT"
    }, {
      "codeName" : "MobileDefault",
      "name" : "[PFILENAME][文件名称]移动端默认",
      "getPSDEFFormItem" : {
        "codeName" : "MobileDefault",
        "editorType" : "MOBPICKER",
        "name" : "[PFILENAME][文件名称]移动端默认",
        "refLinkPSDEViewCodeName" : "RedirectView",
        "refMPickupPSDEViewCodeName" : "MPickupView",
        "getRefPSDEACMode" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACMODES/Default.json"
        },
        "getRefPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "refPickupPSDEViewCodeName" : "PickupView",
        "stringLength" : 200,
        "uIMode" : "MOBILEDEFAULT",
        "mobileMode" : true
      },
      "type" : "MOBILEDEFAULT",
      "mobileMode" : true
    } ],
    "codeName" : "Pfilename",
    "logicName" : "文件名称",
    "name" : "PFILENAME",
    "stdDataType" : 25,
    "stringLength" : 200
  } ],
  "getAllPSAppDEMethodDTOs" : [ {
    "codeName" : "FILEDTO",
    "name" : "FILEDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "ICON",
      "logicName" : "图标",
      "name" : "ICON",
      "getPSAppDEField" : {
        "name" : "ICON",
        "codeName" : "ICON"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "TYPE",
      "logicName" : "类型",
      "name" : "TYPE",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "TYPE"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "ISTOP",
      "logicName" : "是否顶层节点",
      "name" : "ISTOP",
      "getPSAppDEField" : {
        "name" : "ISTOP",
        "codeName" : "ISTOP"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    }, {
      "codeName" : "CreateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "建立时间",
      "name" : "CreateDate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "CreateMan",
      "logicName" : "建立人",
      "name" : "CreateMan",
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "FILEId",
      "logicName" : "文件标识",
      "name" : "FILEId",
      "getPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "FILEName",
      "logicName" : "文件名称",
      "name" : "FILEName",
      "getPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Pfileid",
      "logicName" : "父文件标识",
      "name" : "Pfileid",
      "getPSAppDEField" : {
        "name" : "PFILEID",
        "codeName" : "Pfileid"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "Pfilename",
      "logicName" : "文件名称",
      "name" : "Pfilename",
      "getPSAppDEField" : {
        "name" : "PFILENAME",
        "codeName" : "Pfilename"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "UpdateDate",
      "jsonFormat" : "yyyy-MM-dd HH:mm:ss",
      "logicName" : "更新时间",
      "name" : "UpdateDate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 5,
      "type" : "SIMPLE",
      "allowEmpty" : false
    }, {
      "codeName" : "UpdateMan",
      "logicName" : "更新人",
      "name" : "UpdateMan",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "sourceType" : "DEFIELD",
      "stdDataType" : 25,
      "type" : "SIMPLE",
      "allowEmpty" : false
    } ],
    "sourceType" : "DE",
    "type" : "DEFAULT"
  }, {
    "codeName" : "FILEFilterDTO",
    "name" : "FILEFilterDTO",
    "getPSAppDEMethodDTOFields" : [ {
      "codeName" : "N_FILEID_EQ",
      "logicName" : "文件标识",
      "name" : "N_FILEID_EQ",
      "getPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_FILENAME_LIKE",
      "logicName" : "文件名称",
      "name" : "N_FILENAME_LIKE",
      "getPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PFILEID_EQ",
      "logicName" : "父文件标识",
      "name" : "N_PFILEID_EQ",
      "getPSAppDEField" : {
        "name" : "PFILEID",
        "codeName" : "Pfileid"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PFILENAME_EQ",
      "logicName" : "文件名称",
      "name" : "N_PFILENAME_EQ",
      "getPSAppDEField" : {
        "name" : "PFILENAME",
        "codeName" : "Pfilename"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_PFILENAME_LIKE",
      "logicName" : "文件名称",
      "name" : "N_PFILENAME_LIKE",
      "getPSAppDEField" : {
        "name" : "PFILENAME",
        "codeName" : "Pfilename"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    }, {
      "codeName" : "N_TYPE_EQ",
      "logicName" : "类型",
      "name" : "N_TYPE_EQ",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "TYPE"
      },
      "sourceType" : "DEFSEARCHMODE",
      "stdDataType" : 25,
      "type" : "SIMPLE"
    } ],
    "sourceType" : "DE",
    "type" : "DEFILTER"
  } ],
  "getAllPSAppDEMethods" : [ {
    "actionMode" : "CHECKKEY",
    "codeName" : "CheckKey",
    "methodType" : "DEACTION",
    "name" : "CheckKey",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "stdDataType" : 9,
      "type" : "SIMPLE"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/CheckKey.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "CheckKey"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/checkkey",
    "builtinMethod" : false
  }, {
    "actionMode" : "CREATE",
    "codeName" : "Create",
    "methodType" : "DEACTION",
    "name" : "Create",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Create.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "READ",
    "codeName" : "Get",
    "methodType" : "DEACTION",
    "name" : "Get",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELD"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Get.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "requestField" : "FILEID",
    "requestMethod" : "GET",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "GETDRAFT",
    "codeName" : "GetDraft",
    "methodType" : "DEACTION",
    "name" : "GetDraft",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/GetDraft.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "CREATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "requestMethod" : "GET",
    "requestParamType" : "NONE",
    "requestPath" : "/getdraft",
    "builtinMethod" : false
  }, {
    "actionMode" : "DELETE",
    "batchActionMode" : 1,
    "codeName" : "Remove",
    "methodType" : "DEACTION",
    "name" : "Remove",
    "getPSAppDEMethodInput" : {
      "getKeyPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "name" : "输入对象",
      "type" : "KEYFIELDS"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Remove.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "DELETE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "requestField" : "FILEID",
    "requestMethod" : "DELETE",
    "requestParamType" : "FIELD",
    "builtinMethod" : false,
    "enableBatchAction" : true,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "actionMode" : "UNKNOWN",
    "codeName" : "Save",
    "methodType" : "DEACTION",
    "name" : "Save",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "VOID"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Save.json"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Save"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/save",
    "builtinMethod" : false,
    "needResourceKey" : true
  }, {
    "actionMode" : "UPDATE",
    "codeName" : "Update",
    "methodType" : "DEACTION",
    "name" : "Update",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO",
      "output" : true
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "DTO"
    },
    "getPSDEAction" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDEACTIONS/Update.json"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "UPDATE"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "requestMethod" : "PUT",
    "requestParamType" : "ENTITY",
    "builtinMethod" : false,
    "needResourceKey" : true,
    "noServiceCodeName" : true
  }, {
    "codeName" : "FetchDefault",
    "methodType" : "FETCH",
    "name" : "FetchDefault",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "Default"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchdefault",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchFILEQUERY",
    "methodType" : "FETCH",
    "name" : "FetchFILEQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "FILEQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchFILEQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchfilequery",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchFOLDERQUERY",
    "methodType" : "FETCH",
    "name" : "FetchFOLDERQUERY",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "FOLDERQUERY"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchFOLDERQUERY"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchfolderquery",
    "builtinMethod" : false
  }, {
    "codeName" : "FetchTOP",
    "methodType" : "FETCH",
    "name" : "FetchTOP",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEFilterDTO"
      },
      "type" : "DTO"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "getPSAppDEMethodDTO" : {
        "modelref" : true,
        "id" : "FILEDTO"
      },
      "type" : "PAGE"
    },
    "getPSDEDataSet" : {
      "modelref" : true,
      "id" : "TOP"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "FetchTOP"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/fetchtop",
    "builtinMethod" : false
  }, {
    "codeName" : "FilterCreate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERCREATE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterFetch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERFETCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGet",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGET",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterGetDraft",
    "methodType" : "FILTERACTION",
    "name" : "FILTERGETDRAFT",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterRemove",
    "methodType" : "FILTERACTION",
    "name" : "FILTERREMOVE",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterSearch",
    "methodType" : "FILTERACTION",
    "name" : "FILTERSEARCH",
    "builtinMethod" : true
  }, {
    "codeName" : "FilterUpdate",
    "methodType" : "FILTERACTION",
    "name" : "FILTERUPDATE",
    "builtinMethod" : true
  }, {
    "codeName" : "Select",
    "methodType" : "SELECT",
    "name" : "Select",
    "getPSAppDEMethodInput" : {
      "name" : "输入对象",
      "type" : "UNKNOWN"
    },
    "getPSAppDEMethodReturn" : {
      "name" : "返回对象",
      "type" : "UNKNOWN"
    },
    "getPSDEOPPriv" : {
      "modelref" : true,
      "id" : "READ"
    },
    "getPSDEServiceAPIMethod" : {
      "modelref" : true,
      "id" : "Select"
    },
    "requestMethod" : "POST",
    "requestParamType" : "ENTITY",
    "requestPath" : "/select",
    "builtinMethod" : false
  } ],
  "getAllPSAppDEUIActions" : [ {
    "actionTarget" : "NONE",
    "caption" : "点击上传网盘文件",
    "codeName" : "NETDISTFILEUPLOAD",
    "frontProcessType" : "OTHER",
    "fullCodeName" : "FILE_NETDISTFILEUPLOAD",
    "name" : "网盘上传",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSNavigateParams" : [ {
      "key" : "providerconfig",
      "name" : "providerconfig",
      "value" : "{\"endpoint\":\"http://172.16.121.167:19001/minio\",\"rootbucket\":\"meta-sphere\",\"accessKey\":\"minioadmin\",\"secretKey\":\"minioadmin\"}",
      "rawValue" : true
    }, {
      "key" : "folder",
      "name" : "folder",
      "value" : "TRUE",
      "rawValue" : true
    }, {
      "key" : "prefix",
      "name" : "prefix",
      "value" : "320000/模型/公共业务/1117ca/",
      "rawValue" : true
    } ],
    "getPSSysPFPlugin" : {
      "pluginType" : "DEUIACTION",
      "pluginCode" : "NETDISTFILEUPLOAD",
      "runtimeObject" : true
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionParamJO" : {
      "PREFIX" : "320000/模型/公共业务/1117ca/",
      "PROVIDERCONFIG" : {
        "accessKey" : "minioadmin",
        "secretKey" : "minioadmin",
        "rootbucket" : "meta-sphere",
        "endpoint" : "http://172.16.121.167:19001/minio"
      },
      "FOLDER" : "TRUE"
    },
    "uIActionTag" : "NETDISTFILEUPLOAD",
    "uIActionType" : "DEUIACTION",
    "id" : "NETDISTFILEUPLOAD@FILE"
  }, {
    "actionTarget" : "SINGLEKEY",
    "caption" : "跳转歌曲界面",
    "codeName" : "link_song",
    "getFrontPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongGridView.json",
      "viewType" : "DEGRIDVIEW"
    },
    "frontProcessType" : "WIZARD",
    "fullCodeName" : "FILE_link_song",
    "name" : "跳转歌曲界面",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "timeout" : 60000,
    "uIActionMode" : "FRONT",
    "uIActionTag" : "link_song",
    "uIActionType" : "DEUIACTION",
    "id" : "link_song@FILE"
  } ],
  "getAllPSAppViews" : [ {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEFileExpView.json",
    "viewType" : "DETREEEXPVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILETestTreeGridExView.json",
    "viewType" : "DETREEGRIDEXVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
    "viewType" : "DEEDITVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEFileTreeView.json",
    "viewType" : "DETREEVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEUsr12064666TreeView.json",
    "viewType" : "DETREEVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILERedirectView.json",
    "viewType" : "DEREDIRECTVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEUsr12210548CustomView.json",
    "viewType" : "DECUSTOMVIEW"
  }, {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEGridView.json",
    "viewType" : "DEGRIDVIEW"
  } ],
  "getAllPSDEOPPrivs" : [ {
    "logicName" : "建立",
    "name" : "CREATE"
  }, {
    "logicName" : "删除",
    "name" : "DELETE"
  }, {
    "logicName" : "读取",
    "name" : "READ"
  }, {
    "logicName" : "更新",
    "name" : "UPDATE"
  } ],
  "codeName" : "FILE",
  "dEAPICodeName" : "FILE",
  "dEAPITag" : "FILE",
  "dataAccCtrlArch" : 1,
  "dataAccCtrlMode" : 1,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json",
  "enableUIActions" : 15,
  "getKeyPSAppDEField" : {
    "name" : "FILEID",
    "codeName" : "FILEId"
  },
  "logicName" : "文件",
  "getMajorPSAppDEField" : {
    "name" : "FILENAME",
    "codeName" : "FILEName"
  },
  "getMinorPSAppDERSs" : [ {
    "actionRSMode" : 1,
    "codeName" : "FILEs",
    "dataRSMode" : 0,
    "majorDECodeName" : "FILE",
    "majorDEName" : "FILE",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "minorDECodeName" : "FILE",
    "minorDEName" : "FILE",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "name" : "DER1N_FILE_FILE_PFILEID",
    "getParentPSAppDEField" : {
      "name" : "PFILEID",
      "codeName" : "Pfileid"
    },
    "rSMode" : 2
  } ],
  "name" : "FILE",
  "getPSDEName" : "FILE",
  "getPSDEServiceAPI" : {
    "modelref" : true,
    "id" : "FILE"
  },
  "getPSDataEntity" : {
    "modelref" : true,
    "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
  },
  "getPSSysServiceAPI" : {
    "modelref" : true,
    "path" : "PSSYSSERVICEAPIS/TrainSys.json"
  },
  "getQuickSearchPSAppDEFields" : [ {
    "name" : "FILENAME",
    "codeName" : "FILEName"
  } ],
  "storageMode" : 0,
  "sysAPITag" : "TrainSys",
  "defaultMode" : true,
  "enableFilterActions" : true,
  "enableUICreate" : true,
  "enableUIModify" : true,
  "enableUIRemove" : true,
  "enableWFActions" : false,
  "major" : true
}